local LD = require("design.LevelDesignLibrary")
local uiCalls = require("ui.uicalls")
local thisObj
local waterBurnsPlayed = false
function OnScriptLoaded(level, obj)
  thisObj = obj
  game.SubObject.Sleep(thisObj)
end
function OnMimirEyeAcquired()
  game.Audio.PlayBanter("070_MimirEyesA", TEMPMimirEyesVO2)
end
function PlayMimirEyes()
end
function TEMPMimirEyesVO2()
  game.Audio.PlayBanter("070_MimirEyesB", Objective840UI)
end
function Objective840UI()
  uiCalls.UI_Event_SendMsgToQuestLog({
    Category = 10250,
    Header = 40095,
    Body = 3574,
    MessageType = tweaks.tQuestUiMessage.eMessageType.kQMS_Default,
    Quest = "Quest_Caldera_Objective850"
  })
end
function WaterBurns_Banter()
  if not waterBurnsPlayed then
    game.Audio.PlayBanterNonCritical("040_WaterBurns")
    waterBurnsPlayed = true
  end
end
function ShouldBellyFinalThoughtsPlay()
  if LD.GetEntityVariable("CAL_MimirEyeAcquired") then
    return true
  else
    return false
  end
end
